# Run Status

Fetches the completion status of a run.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

About

Run Status endpoint returns the current status of an Attack Path Validation simulation run, so you can check its progress without fetching the full run details.

Example

Get the status of run {run_uuid} of simulation {simulation_uuid}.

curl --request GET \
     --url https://api.picussecurity.com/v1/apv/simulations/{simulation_uuid}/runs/{run_uuid}/status \
     --header 'Accept: application/json' \
     --header 'Authorization: Bearer access_token'
{
  "status": "RUNNING"
}
Path Params
string
required

Simulation UUID

string
required

Run UUID

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json